Bug 217089 - "#define AAA 1 ## 0" line breaks parser
"#define AAA 1 ## 0" line breaks parser
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.3
PC Solaris
: P2 (vote)
: 7.3
Assigned To: Vladimir Voskresensky
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 09:22 UTC by soldatov
Modified: 2012-09-05 02:04 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2012-08-20 09:22:33 UTC
a lot of parser errors in valid C code:

#include <stdio.h>
int main() {
#define AAA 1 ## 0
    if (AAA == 10) {
        puts("OK");
    }
    return (0);
}
Comment 1 Vladimir Voskresensky 2012-09-04 11:01:18 UTC
fixed + test:
http://hg.netbeans.org/cnd-main/rev/ee58386bd4d0
Comment 2 Quality Engineering 2012-09-05 02:04:52 UTC
Integrated into 'main-golden', will be available in build *201209050001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/ee58386bd4d0
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixed #217089 - "#define AAA 1 ## 0" line breaks parser


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo